Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class Category

    java.lang.Object
      oracle.ifs.beans.LibraryObject
          oracle.ifs.beans.TieLibraryObject
              oracle.ifs.beans.PublicObject
                  oracle.ifs.beans.TiePublicObject
                      oracle.ifs.beans.Category

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, PublicObjectInterface, Traceable

Direct Known Subclasses:
  TieCategory

    public class Category

extends TiePublicObject

A Category class is used to add custom meta-data to PublicObjects on a per instance basis. In addition, Categories can be added across different PublicObject classes.

Category subclasses can contain their own custom data, which effectively contain data about the PublicObject with which the Category instance is associated. A PublicObject can be associated with any Category, which allows different sets of data to be associated with instances of the same PublicObject subclass. Additionally, PublicObjects can be associated with multiple instances of Category subclasses.

(Published)

Field Summary
`static java.lang.String` | `ASSOCIATEDPUBLICOBJECT_ATTRIBUTE` The PublicObject that is associated with this Category.
`static java.lang.String` | `CLASS_NAME` This class name for this class.

Fields inherited from class oracle.ifs.beans.PublicObject
`ACL_ATTRIBUTE, CREATEDATE_ATTRIBUTE, CREATOR_ATTRIBUTE, DELETOR_ATTRIBUTE, DESCRIPTION_ATTRIBUTE, EXPIRATIONDATE_ATTRIBUTE, FAMILY_ATTRIBUTE, FLAG_CATEGORY_EXISTS, FLAG_CONFIGURATIONCATEGORY_EXISTS, FLAG_MARKED, FLAG_NOINFERIOR, FLAG_NOSELECT, FLAG_NTFS_ARCHIVE, FLAG_NTFS_HIDDEN, FLAG_NTFS_READONLY, FLAG_NTFS_SYSTEM, FLAG_UNMARKED, FLAGS_ATTRIBUTE, LASTMODIFIER_ATTRIBUTE, LASTMODIFYDATE_ATTRIBUTE, LOCKENTRIES_ATTRIBUTE, LOCKOBJECT_ATTRIBUTE, NAME_ATTRIBUTE, OWNER_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, POLICYLISTS_ATTRIBUTE, PRIMARYPARENTFOLDER_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE, RESOLVEDPUBLICOBJECT_ATTRIBUTE, SECURINGPUBLICOBJECT_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.LibraryObject
`DOMAIN_UNIQUENAME_DEFAULT_DELIMITER, m_ClassId, m_Id, m_Session`

Constructor Summary
`protected` | `Category(LibrarySession session, java.lang.Long id, java.lang.Long classId, S_LibraryObjectData data)` Constructs a Category object - standard variant.

Method Summary
`protected static Category` | `constructCategory(LibrarySession sess, S_LibraryObjectData data)` Returns a Category object from a Category data object.
`protected static Category[]` | `constructCategoryArray(LibrarySession sess, java.lang.Long[] ids)` Construct a Category array from an array of object IDs.
`protected static java.util.Vector` | `constructCategoryVector(LibrarySession sess, java.util.Vector vector)` Returns Category Vector from a Vector of Category.
`PublicObject` | `getAssociatedPublicObject()` Gets the PublicObject associated with this Category.
`protected long` | `getFlagUpdatesForCreate(PublicObject assoc, long flags)` Extensibility point to indicate updates that should be made to the associated PublicObject's FLAGS attribute as a result of creating this Category.
`protected long` | `getFlagUpdatesForFree(PublicObject assoc, long flags)` Extensibility point to indicate updates that should be made to the associated PublicObject's FLAGS attribute as a result of freeing this Category.
`void` | `moveCategory(PublicObject targetAssoc)` Remove the Category from the current associated PublicObject, and re-associate it with the specified PublicObject.
`protected void` | `postCreate(LibraryObjectDefinition lodef)` Extensibility point to perform actions after the creation of a SecurityConfiguration.
`protected void` | `preFree(LibraryObjectDefinition lodef)` Extensibility point to perform actions prior to the permanent deletion of the object.
`protected void` | `updateFlagsUponCreate()` Update AssociatedPublic's flags based on the creation of this instance.
`protected void` | `updateFlagsUponFree()` Update AssociatedPublic's flags based on the freeing of this instance.

Methods inherited from class oracle.ifs.beans.PublicObject
`addAccess, addCategory, addFlags, addRelationship, auditPublicObjectLocked, auditPublicObjectUnlocked, canAcquireManualLock, canReleaseDavLock, canReleaseLock, canReleaseManualLock, capabilities, checkAuditViewCapability, checkCapabilities, checkCapability, checkEffectiveAccess, checkEffectiveAccess, checkLockAccess, checkVersioned, clearFlags, constructPublicObject, constructPublicObjectArray, constructPublicObjectVector, copy, coreAutoFolderingEnabled, createCategories, createDedicatedPolicyPropertyBundle, delete, deriveEffectiveAccessLevel, free, getAcl, getAllFolderPaths, getAllFolderPaths, getAllFolderPaths, getAnyFolderPath, getAnyFolderPath, getAnyFolderPath, getCapabilities, getCategories, getCategories, getCategories, getCategories, getCategories, getCategory, getConsumedStorage, getCreateDate, getCreator, getDefaultAccessLevel, getDeletor, getDescription, getEffectiveAccessLevel, getEffectiveAccessLevel, getExpirationDate, getFamily, getFirstVersion, getFlags, getFolderReferences, getFolderReferences, getFolderReferencesSortSpecification, getLastModifier, getLastModifyDate, getLastVersion, getLeftwardRelationshipObjects, getLeftwardRelationshipObjects, getLeftwardRelationships, getLeftwardRelationships, getLeftwardRelationshipsCount, getLeftwardRelationshipsCount, getLinks, getLockEntries, getLockEntries, getLockObject, getLockRestrictions, getLockTypeAuditProperties, getNextVersion, getOwner, getPolicyBundle, getPolicyLists, getPreviousVersion, getPrimaryFolderPath, getPrimaryParentFolder, getPrimaryParentFolder, getReservationComment, getReservationDate, getReservor, getResolvedPublicObject, getRestrictingLockEntries, getRightwardRelationshipObjects, getRightwardRelationshipObjects, getRightwardRelationships, getRightwardRelationships, getSecuringPublicObject, getSingletonVersionDescription, getVersionNumber, getVersions, getVersionSeries, getWorkingCopy, grantAccess, handleCopy, handleCreate, handleUnlockAll, hasCategories, hasConfigurationCategories, hasNameAttribute, isDeleted, isLatestVersion, isLocked, isLockingSupported, isOwner, isReserved, isReservedByCurrentUser, isVersionable, isVersioned, isWorkingCopy, listLeftwardRelationships, listRightwardRelationships, lock, lock, lock, lock, newVersion, postCopy, postUpdate, preCopy, preCreate, preUpdate, putPolicy, reassociateLinks, removeAllPolicies, removePolicy, removePolicy, removeRelationship, reserveNext, resetFolderReferences, resolveFolderReferenceSortSpecification, revokeAccess, revokeAllAccess, setAcl, setDescription, setExpirationDate, setFlags, setFolderReferencesSortSpecification, setLockEntries, setLockEntrySecurity, setOwner, setOwnerByName, setPolicyBundle, setPolicyLists, setSecuringPublicObject, toPublicObjectArray, undelete, unlock, unlock, unlockAll, unReserve, updateFlags, updateLock, vectorPublicObjectElement, vectorToPublicObjectArray, verifyDeleteCapability, verifyLockCapability, verifyUnlockCapability, verifyVersionSeries`

Methods inherited from class oracle.ifs.beans.LibraryObject
`applyProperties, auditCreated, auditUpdated, checkRequiredAttributeSet, clearCopyContext, clearFreeContext, clearUpdateContext, constructIdArray, constructIdArray, constructLibraryObject, constructLibraryObjectVector, createDedicatedPropertyBundle, deriveDomainUniqueName, dispose, equals, free, get, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getAuditDomainContext, getAuditEventFolderContext, getClassId, getClassname, getClassName, getClassObject, getCommonName, getCopyContext, getCreateContext, getData, getDefinition, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getFreeContext, getId, getLabel, getName, getObjectReferenceAttribute, getOperationActionSpecificationContext, getPropertyBundle, getPropertyValue, getPublicObjectAttribute, getResourceString, getResourceString, getSchemaObjectAttribute, getSession, getSessionInterface, getSharedStateFactory, getStringIdentifier, getSystemObjectAttribute, getTraceLogger, getUpdateContext, handleAdminModeChange, handleEvent, handleFree, handleUpdate, hashCode, invokeOperation, invokeOperation, invokeServerMethod, isConnected, isCoreEventPostingEnabled, isInstanceOf, isTraced, isValidEventType, lockRows, lookupInstanceLabel, postEvent, postEvent, postFree, prePostAuditEvent, putProperty, putProperty, removeAllProperties, removeProperty, renderAsRandomAccessContent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setCopyContext, setFreeContext, setId, setName, setPropertyBundle, setPropertyValue, setUpdateContext, toString, trace, trustHandleCreate, trustHandleCreateAsAdmin, trustHandleFree, trustHandleFreeAsAdmin, trustHandleUpdate, trustHandleUpdateAsAdmin, update, updateAndExposeDefinition, validatePropertyValues, vectorLibraryObjectElement, vectorToLibraryObjectArray, verifyAdministrationMode, verifyConnected, verifySystemUserAccess, verifyTargetObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  Description copied from class: `Category`
  This class name for this class. Useful for methods that take a class name argument.

  See Also:
    Constant Field Values
  (Published)

### ASSOCIATEDPUBLICOBJECT_ATTRIBUTE

    public static final java.lang.String ASSOCIATEDPUBLICOBJECT_ATTRIBUTE

  Description copied from class: `Category`
  The PublicObject that is associated with this Category. This allows different sets of data to be associated with instances of the same PublicObject subclass.

  See Also:
    Constant Field Values
  (Published)

Constructor Detail

### Category

    protected Category(LibrarySession session,
                       java.lang.Long id,
                       java.lang.Long classId,
                       S_LibraryObjectData data)
                throws IfsException

  Constructs a Category object - standard variant.

  Parameters:
    `session` - current LibrarySession
    `id` - object id
    `classId` - class id
    `data` - data components
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### getAssociatedPublicObject

    public PublicObject getAssociatedPublicObject()
                                           throws IfsException

  Description copied from class: `Category`
  Gets the PublicObject associated with this Category.

  Returns:
    the PublicObject
  Throws:
    `IfsException` - if operation fails
  (Published)

### constructCategoryVector

    protected static java.util.Vector constructCategoryVector(LibrarySession sess,
                                                              java.util.Vector vector)
                                                       throws IfsException

  Description copied from class: `Category`
  Returns Category Vector from a Vector of Category.

  Parameters:
    `sess` - current LibrarySession
    `vector` - Vector of Category objects.
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### constructCategory

    protected static Category constructCategory(LibrarySession sess,
                                                S_LibraryObjectData data)
                                         throws IfsException

  Description copied from class: `Category`
  Returns a Category object from a Category data object.

  Parameters:
    `sess` - current LibrarySession
    `data` - the object containing Category data
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### constructCategoryArray

    protected static Category[] constructCategoryArray(LibrarySession sess,
                                                       java.lang.Long[] ids)
                                                throws IfsException

  Description copied from class: `Category`
  Construct a Category array from an array of object IDs. This will throw an exception if any of the IDs cannot be converted into a Category.

  Parameters:
    `sess` - the requesting session
    `ids` - the array of object IDs
  Returns:
    the array of Categorys
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### postCreate

    protected void postCreate(LibraryObjectDefinition lodef)
                       throws IfsException

  Description copied from class: `Category`
  Extensibility point to perform actions after the creation of a SecurityConfiguration.

  This assumes that a transaction context has already been established.

  Overrides:
    `postCreate` in class `PublicObject`
  Parameters:
    `lodef` - object definition that was used to create the object
  Throws:
    `IfsException` - if the operation fails.

### updateFlagsUponCreate

    protected void updateFlagsUponCreate()
                                  throws IfsException

  Description copied from class: `Category`
  Update AssociatedPublic's flags based on the creation of this instance.

  This assumes that a transaction context has already been established.

  Throws:
    `IfsException` - if the operation fails.

### preFree

    protected void preFree(LibraryObjectDefinition lodef)
                    throws IfsException

  Description copied from class: `Category`
  Extensibility point to perform actions prior to the permanent deletion of the object.

  Overrides:
    `preFree` in class `PublicObject`
  Parameters:
    `lodef` - object definition used to hold options related to the free operation; can be null.
  Throws:
    `IfsException` - if the operation fails.

### updateFlagsUponFree

    protected void updateFlagsUponFree()
                                throws IfsException

  Description copied from class: `Category`
  Update AssociatedPublic's flags based on the freeing of this instance.

  This assumes that a transaction context has already been established.

  Throws:
    `IfsException` - if the operation fails.

### getFlagUpdatesForCreate

    protected long getFlagUpdatesForCreate(PublicObject assoc,
                                           long flags)
                                    throws IfsException

  Description copied from class: `Category`
  Extensibility point to indicate updates that should be made to the associated PublicObject's FLAGS attribute as a result of creating this Category.

  Parameters:
    `assoc` - our associated PublicObject
    `flags` - the current value of the flags attribute
  Returns:
    the updated value of the flags attribute
  Throws:
    `IfsException` - if the operation fails.

### getFlagUpdatesForFree

    protected long getFlagUpdatesForFree(PublicObject assoc,
                                         long flags)
                                  throws IfsException

  Description copied from class: `Category`
  Extensibility point to indicate updates that should be made to the associated PublicObject's FLAGS attribute as a result of freeing this Category.

  Parameters:
    `assoc` - our associated PublicObject
    `flags` - the current value of the flags attribute
  Returns:
    the updated value of the flags attribute
  Throws:
    `IfsException` - if the operation fails.

### moveCategory

    public void moveCategory(PublicObject targetAssoc)
                      throws IfsException

  Description copied from class: `Category`
  Remove the Category from the current associated PublicObject, and re-associate it with the specified PublicObject.

  Throws:
    `IfsException` - if the operation fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD